# DO NOT DELETE: Beginning of Haskell dependencies
utils/hsc2hs/dist/build/ATTParser.o : utils/hsc2hs/ATTParser.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/ATTParser.hi  : %hi: %o  utils/hsc2hs/ATTParser.hs))
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Maybe.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Bits.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Int.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Word.hi
utils/hsc2hs/dist/build/ATTParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
utils/hsc2hs/dist/build/Common.o : utils/hsc2hs/Common.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Common.hi  : %hi: %o  utils/hsc2hs/Common.hs))
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/directory-1.3.1.5/System/Directory.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Exit.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/process-1.6.3.0/System/Process.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/IO.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Exception.hi
utils/hsc2hs/dist/build/Common.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Exception.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : utils/hsc2hs/Compat/ResponseFile.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Compat/ResponseFile.hi  : %hi: %o  utils/hsc2hs/Compat/ResponseFile.hs))
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/IO.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Exit.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Environment.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/Compat/ResponseFile.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Exception.hi
utils/hsc2hs/dist/build/Flags.o : utils/hsc2hs/Flags.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Flags.hi  : %hi: %o  utils/hsc2hs/Flags.hs))
utils/hsc2hs/dist/build/Flags.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Flags.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Console/GetOpt.hi
utils/hsc2hs/dist/build/HSCParser.o : utils/hsc2hs/HSCParser.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/HSCParser.hi  : %hi: %o  utils/hsc2hs/HSCParser.hs))
utils/hsc2hs/dist/build/HSCParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/HSCParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/HSCParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
utils/hsc2hs/dist/build/HSCParser.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
utils/hsc2hs/dist/build/C.o : utils/hsc2hs/C.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/C.hi  : %hi: %o  utils/hsc2hs/C.hs))
utils/hsc2hs/dist/build/C.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/C.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/C.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/C.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/filepath-1.4.2/System/FilePath.hi
utils/hsc2hs/dist/build/C.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/List.hi
utils/hsc2hs/dist/build/C.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/CrossCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/CrossCodegen.hi  : %hi: %o  utils/hsc2hs/CrossCodegen.hs))
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/ATTParser.hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/CrossCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/process-1.6.3.0/System/Process.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Exit.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Sequence.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/containers-0.5.11.0/Data/Sequence.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Maybe.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Foldable.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Applicative.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Exception.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/directory-1.3.1.5/System/Directory.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/IO.hi
utils/hsc2hs/dist/build/CrossCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : utils/hsc2hs/dist/build/hsc2hs/autogen/Paths_hsc2hs.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Paths_hsc2hs.hi  : %hi: %o  utils/hsc2hs/dist/build/hsc2hs/autogen/Paths_hsc2hs.hs))
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Environment.hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Version.hi
utils/hsc2hs/dist/build/Paths_hsc2hs.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Exception.hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/UtilsCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/UtilsCodegen.hi  : %hi: %o  utils/hsc2hs/UtilsCodegen.hs))
utils/hsc2hs/dist/build/UtilsCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/UtilsCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/UtilsCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/DirectCodegen.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/DirectCodegen.hi  : %hi: %o  utils/hsc2hs/DirectCodegen.hs))
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/UtilsCodegen.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/DirectCodegen.o : utils/hsc2hs/dist/build/C.hi
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/filepath-1.4.2/System/FilePath.hi
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Exit.hi
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Foldable.hi
utils/hsc2hs/dist/build/DirectCodegen.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Char.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/Main.hs
$(eval $(call hi-rule,utils/hsc2hs/dist/build/Main.hi  : %hi: %o  utils/hsc2hs/Main.hs))
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Prelude.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/HSCParser.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Flags.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/DirectCodegen.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/CrossCodegen.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Compat/ResponseFile.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Common.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/Version.hi
utils/hsc2hs/dist/build/Main.o : utils/hsc2hs/dist/build/Paths_hsc2hs.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/IO.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/filepath-1.4.2/System/FilePath.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Exit.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Environment.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/directory-1.3.1.5/System/Directory.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/System/Console/GetOpt.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Data/List.hi
utils/hsc2hs/dist/build/Main.o : /home/jerry/.opt/ghc-8.4.4/lib/ghc-8.4.4/base-4.11.1.0/Control/Monad.hi
# DO NOT DELETE: End of Haskell dependencies
utils/hsc2hs_dist_depfile_haskell_EXISTS = YES
